# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.549   -> 1.550  
#	drivers/usb/core/urb.c	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/28	greg@kroah.com	1.550
# USB: fix debugging code to allow USB_NO_DMA_MAP.
#   
# Thanks to Oliver Neukum for finding this
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/urb.c b/drivers/usb/core/urb.c
--- a/drivers/usb/core/urb.c	Wed Aug 28 23:20:19 2002
+++ b/drivers/usb/core/urb.c	Wed Aug 28 23:20:19 2002
@@ -278,6 +278,7 @@
 
 	/* enforce simple/standard policy */
 	allowed = USB_ASYNC_UNLINK;	// affects later unlinks
+	allowed |= URB_NO_DMA_MAP;
 	switch (temp) {
 	case PIPE_BULK:
 		allowed |= URB_NO_INTERRUPT;
